Get payment
curl --request GET \
--url https://api.range.org/v1/address/payment \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/payment"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v1/address/payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v1/address/payment"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v1/address/payment")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v1/address/payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"version": 123,
"network": "<string>",
"height": "<string>",
"index": 123,
"timestamp": "<string>",
"hash": "<string>",
"sender": "<string>",
"message_types": [
"<string>"
],
"addresses": [
"<string>"
],
"success": true,
"gas": {
"wanted": 123,
"used": 123
},
"fees": {
"amount": "<string>",
"denom": "<string>"
},
"amounts": [
"<string>"
],
"memo": "<string>",
"signers": [
"<string>"
],
"messages": [
"<string>"
]
}Addresses & Entities
Get payment details
Look up a payment using a sending or receiving transaction hash.
GET
/
v1
/
address
/
payment
Get payment
curl --request GET \
--url https://api.range.org/v1/address/payment \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/payment"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.range.org/v1/address/payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.range.org/v1/address/payment"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.range.org/v1/address/payment")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.range.org/v1/address/payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"version": 123,
"network": "<string>",
"height": "<string>",
"index": 123,
"timestamp": "<string>",
"hash": "<string>",
"sender": "<string>",
"message_types": [
"<string>"
],
"addresses": [
"<string>"
],
"success": true,
"gas": {
"wanted": 123,
"used": 123
},
"fees": {
"amount": "<string>",
"denom": "<string>"
},
"amounts": [
"<string>"
],
"memo": "<string>",
"signers": [
"<string>"
],
"messages": [
"<string>"
]
}For an address’s payment history, use Get address payments.
Authorizations
Authorization method required to allow user to access the api endpoints.
Query Parameters
Txn Hash
Example:
"0xe6497e3ee548a3372136af2fcb0696db31fc6cf20260707645068bd3fe97f3c4"
Response
200 - application/json
Payment associated with a specific hash. This includes both incoming and outgoing transaction.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on November 9, 2026
Was this page helpful?